Subject: bug#16565: 24.3.50; x-popup-menu just returns nil

From: Michael Heerdegen <[email-masked]>
Date: Mon, 27 Jan 2014 04:05:38 +0100

Michael Heerdegen <[email-masked]> writes:

> (defun foo (event)
>   (interactive "e")
>   (message "%s" (x-popup-menu event (mouse-menu-bar-map))))
>  
> (global-set-key
>  [(meta control mouse-3)] ;just some free key
>  #'foo)
>
> Now, I hit M-C-mouse-3 somewhere.  The menu appears at the right place.
> I select any item, and FOO messages "nil" instead of a list of events.
> This is the bug.

Let me add two notes:

1.  The problem doesn't happen here if I call `x-popup-menu' with a
(TITLE PANE1 PANE2...) list instead of (mouse-menu-bar-map).

2.  I think the problem exists at least since several weeks.

Michael.